Bug 819256

Summary: [abrt] wallpapoz-0.5-10.fc16: wallpapoz_system.py:84:exec_cmd_under_X:IOError: [Errno 5] Input/output error
Product: [Fedora] Fedora Reporter: Juest Zungo <nicolas_aragone>
Component: wallpapozAssignee: Mamoru TASAKA <mtasaka>
Status: CLOSED CANTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: mtasaka
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
Whiteboard: abrt_hash:9ab944091b8db90fcb67e0cd28481b708cc36248
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-05-11 06:09:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Juest Zungo 2012-05-06 02:00:09 UTC
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        python /usr/libexec/daemon_wallpapoz
event_log:      2012-05-05-22:59:16> Smolt profile successfully saved
executable:     /usr/libexec/daemon_wallpapoz
kernel:         3.3.4-1.fc16.i686
reason:         wallpapoz_system.py:84:exec_cmd_under_X:IOError: [Errno 5] Input/output error
time:           Sat 05 May 2012 09:40:34 PM ART
uid:            0
username:       root

backtrace:
:wallpapoz_system.py:84:exec_cmd_under_X:IOError: [Errno 5] Input/output error
:
:Traceback (most recent call last):
:  File "/usr/libexec/daemon_wallpapoz", line 146, in <module>
:    wallpapoz_system.check_beryl()
:  File "../share/wallpapoz/lib/wallpapoz_system.py", line 127, in check_beryl
:    raw_geometry = self.exec_cmd_under_X('xprop -root _NET_DESKTOP_GEOMETRY')
:  File "../share/wallpapoz/lib/wallpapoz_system.py", line 84, in exec_cmd_under_X
:    print "daemon_wallpapoz: error message: %s" %pstderr
:IOError: [Errno 5] Input/output error
:
:Local variables in innermost frame:
:kill_daemon: False
:pstderr: "xprop:  unable to open display ':0'\n"
:self: <wallpapoz_system.WallpapozSystem instance at 0xa0ed54c>
:cmd: 'xprop -root _NET_DESKTOP_GEOMETRY'
:ret: 1
:p: <subprocess.Popen object at 0xa0f3e8c>
:pstdout: ''

smolt_data:
:
:
:General
:=================================
:UUID: f5e20628-71da-46ad-8ebd-3dacc3819258
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 5984.59
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) 4 CPU 3.00GHz
:CPU Stepping: 9
:CPU Family: 15
:CPU Model Num: 4
:Number of CPUs: 2
:CPU Speed: 3000
:System Memory: 1889
:System Swap: 3256
:Vendor: Hewlett-Packard
:System: HP Compaq dx2200 MT 
:Form factor: Desktop
:Kernel: 3.3.4-1.fc16.i686
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4332:33081:5218:9548) pci, 8139too, ETHERNET, RTL-8139/8139C/8139C+
:(4098:17270:5218:29268) pci, pata_atiixp, STORAGE, IXP SB400 IDE Controller
:(4098:17266:5218:29268) pci, piix4_smbus, SERIAL, IXP SB400 SMBus Controller
:(4098:17271:5218:29268) pci, None, PCI/ISA, IXP SB400 PCI-ISA Bridge
:(4098:17275:5218:29274) pci, snd_hda_intel, MULTIMEDIA, IXP SB4x0 High Definition Audio Controller
:(4098:17265:0:0) pci, None, PCI/PCI, IXP SB400 PCI-PCI Bridge
:(4098:23103:4098:23103) pci, None, PCI/PCI, RS480 PCI Bridge
:(4098:23137:5218:29268) pci, radeon, VIDEO, RC410 [Radeon Xpress 200]
:(4098:17267:5218:29268) pci, ehci_hcd, USB, IXP SB400 USB2 Host Controller
:(4098:23091:5218:29268) pci, None, HOST/PCI, Radeon Xpress 200 Host Bridge
:(4098:17269:5218:29268) pci, ohci_hcd, USB, IXP SB400 USB Host Controller
:(4098:17268:5218:29268) pci, ohci_hcd, USB, IXP SB400 USB Host Controller
:(4098:17273:5218:29268) pci, sata_sil, STORAGE, IXP SB400 Serial ATA Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 9711361 5510939 5413735 2433024 2114465 2114465
:

Comment 1 Mamoru TASAKA 2012-05-07 07:20:42 UTC
Would you have some idea how this issue can be reproduced? Or when did this issue happen?

Comment 2 Juest Zungo 2012-05-11 06:09:13 UTC
no, and it happened once....